\documentclass[12pt, a4paper]{article}

%include packages
\usepackage{a4}
\usepackage[dvips]{graphicx}
\usepackage[ansinew]{inputenc}
\usepackage{epsfig}
\usepackage{amsmath}
\usepackage{amssymb}

\pagestyle{plain}
\pagenumbering{arabic}

\title{Real Valued Test Functions}
\author{Heuristic and Evolutionary Algorithms Laboratory (HEAL)}
\date{\today}

\begin{document}
	\maketitle

	\section*{Ackley Function}
		\begin{equation*}
			f(x) = 20 + e - 20 \cdot e^{-\frac{1}{5} \sqrt{\frac{1}{n} \sum_{i=1}^n x_i^2}} - e^{\frac{1}{n} \sum_{i=1}^n \cos(2 \pi x_i)}
		\end{equation*}

		\begin{tabbing}
			\hspace{5cm}\=\kill
			\textbf{Dimensions:}     \> $n$ \\
			\textbf{Domain:}         \> $-32.768 \leq x_i \leq 32.768$ \\
			\textbf{Global Optimum:} \> $f(x) = 0.0$ at $x = (0.0, 0.0, \dots, 0.0)$ \\
			\textbf{Operator:}       \> AckleyEvaluator \\
			\textbf{Charts:}         \> \\
		\end{tabbing}

		\begin{center}
			\includegraphics[width=0.45\textwidth]{Images/Ackley_large}
			\hfill
			\includegraphics[width=0.45\textwidth]{Images/Ackley_small}
		\end{center}

	\newpage

	\section*{Griewangk Function}
		\begin{equation*}
			f(x) = 1 + \sum_{i=1}^n \frac{x_i^2}{4000} - \prod_{i=1}^n cos(\frac{x_i}{\sqrt i})
		\end{equation*}

		\begin{tabbing}
			\hspace{5cm}\=\kill
			\textbf{Dimensions:}     \> $n$ \\
			\textbf{Domain:}         \> $-600.0 \leq x_i \leq 600.0$ \\
			\textbf{Global Optimum:} \> $f(x) = 0.0$ at $x = (0.0, 0.0, \dots, 0.0)$ \\
			\textbf{Operator:}       \> GriewangkEvaluator \\
			\textbf{Charts:}         \> \\
		\end{tabbing}

		\begin{center}
			\includegraphics[width=0.45\textwidth]{Images/Griewangk_large}
			\hfill
			\includegraphics[width=0.45\textwidth]{Images/Griewangk_small}
		\end{center}

\end{document}